Ordering API
Tabs Auto Close Settings
When open tabs close automatically
Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
locationId*string
Location ID
Match
^[0-9]+$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/locations/string/tabs-auto-close-settings"{ "status": "success", "data": { "locationId": 0, "afterHours": null, "atTime": null }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
locationId*string
Location ID
Match
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
afterHours?|
Pass a positive integer to enable, null to disable.
Range
1 <= valueatTime?|
Pass 'HH:MM' (24h) to enable, null to disable.
Match
^([01]\d|2[0-3]):[0-5]\d(:[0-5]\d)?$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/locations/string/tabs-auto-close-settings" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "locationId": 0, "afterHours": null, "atTime": null }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}